package org.project.entity.players;

import org.project.entity.Entity;
import org.project.Colors;
import org.project.item.armors.WizardArmor;
import org.project.item.weapons.wand;
import org.project.item.armors.WizardArmor;

import org.project.item.weapons.Weapon;

public class Wizard extends Player {

    public Wizard(String name) {
        super(name, new wand(), new WizardArmor());

    }

    @Override
    public void SpecialAttack(Entity target, int time) {
        if (time > 0) {
            time--;
            hp = 100;
            mp -= 20;

            System.out.println(Colors.PURPLE + "✨ SPECIAL ATTACK! ✨" + Colors.RESET);
            System.out.println(Colors.PURPLE + "WHOOSH!" + Colors.RESET);
            System.out.println("🔥 Recovery completed ");
        }
    }

    @Override
    public void heal() {
        hp += 30;
        if (hp > 100) {
            hp = 100;
        }
        mp -= 10;

        System.out.println(Colors.GREEN + "💊 HEAL! 💊" + Colors.RESET);
        System.out.println(Colors.GREEN + " WHOOSH!" + Colors.RESET);
        System.out.println(Colors.RED + "  HP restored: + 30" + Colors.RESET);
    }
}
